まつもと ゆきひろです

In message "[ruby-dev:6759] require"
    on 99/05/10, Tadayoshi Funaba <tadf / kt.rim.or.jp> writes:

|$ cat foo.rb
|class Foo
|  RUBY = 'yes'
|  require 'bar'
|end
|
|$ cat bar.rb
|puts RUBY
|
|
|bar.rb において RUBY として見えると期待できるものなんでしょうか。

期待できないです.1.2で見えちゃうのはバグみたいなもんですね.
ややこしいので修正はしないと思いますが.